com.impinj.octane

## Enum DirectionFieldOfView

- java.lang.Object
- - java.lang.Enum<DirectionFieldOfView>
  - - com.impinj.octane.DirectionFieldOfView

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<DirectionFieldOfView>

      public enum DirectionFieldOfView
      extends java.lang.Enum<DirectionFieldOfView>

  Specified if a narrow or wide ring should be used when reading and tracking tag direction. It wraps the equivalent LTK type ImpinjDirectionFieldOfView.
  See Also:
    `ImpinjDirectionFieldOfView`

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `NARROW` Specifies a narrow field for monitoring tag direction, corresponding to ring 2.
    `READER_SELECTED` Field of view is determined by the reader.
    `WIDE` Specifies a wider field for monitoring tag direction, corresponding to rings 2 and 4.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static DirectionFieldOfView` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static DirectionFieldOfView[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### READER_SELECTED

          public static final DirectionFieldOfView READER_SELECTED

      Field of view is determined by the reader.

    - #### NARROW

          public static final DirectionFieldOfView NARROW

      Specifies a narrow field for monitoring tag direction, corresponding to ring 2.

    - #### WIDE

          public static final DirectionFieldOfView WIDE

      Specifies a wider field for monitoring tag direction, corresponding to rings 2 and 4.

  - ### Method Detail

    - #### values

          public static DirectionFieldOfView[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (DirectionFieldOfView c : DirectionFieldOfView.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static DirectionFieldOfView valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null